## Patch zone-level Waiting Room settings `client.waitingRooms.settings.edit(SettingEditParamsparams, RequestOptionsoptions?): SettingEditResponse` **patch** `/zones/{zone_id}/waiting_rooms/settings` Patch zone-level Waiting Room settings ### Parameters - `params: SettingEditParams` - `zone_id: string` Path param: Identifier. - `search_engine_crawler_bypass?: boolean` Body param: Whether to allow verified search engine crawlers to bypass all waiting rooms on this zone. Verified search engine crawlers will not be tracked or counted by the waiting room system, and will not appear in waiting room analytics. ### Returns - `SettingEditResponse` - `search_engine_crawler_bypass: boolean` Whether to allow verified search engine crawlers to bypass all waiting rooms on this zone. Verified search engine crawlers will not be tracked or counted by the waiting room system, and will not appear in waiting room analytics. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.waitingRooms.settings.edit({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(response.search_engine_crawler_bypass); ``` #### Response ```json { "result": { "search_engine_crawler_bypass": true } } ```